Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.instancetable
Class InstanceTableWidgetState

    java.lang.Object
      java.util.Observable
          edu.stanford.smi.protegex.util.AbstractWidgetState
              edu.stanford.smi.protegex.util.ButtonRelatedWidgetState
                  edu.stanford.smi.protegex.widget.abstracttable.AbstractTableWidgetState
                      edu.stanford.smi.protegex.widget.instancetable.InstanceTableWidgetState

    public class InstanceTableWidgetState

extends AbstractTableWidgetState

Stores list is slots to use as column and for each of these it stores a VisibleSlotDescription in a subproperty list Wrapper around property list Visible slot list property is a property list whose names are slots and whose values are property lists contained visible slot descriptions The order of slot names (columns) in the table is maintained in the top level property list as a set of names VISIBLE_SLOT_INDEX_N State consists of three things-- A set of visible slot descriptions An ordering on visible slot descriptions Information on the global editing model of the widget In addition, we have an extensive query API (so that the associated TableModel is fairly simple)

Author:
  William Grosso

Field Summary

Fields inherited from class edu.stanford.smi.protegex.widget.abstracttable.AbstractTableWidgetState
`_dialogTitleForSelectingClasses, _dialogTitleForSelectingInstances, _editInPlace, _useDialogToSelectClasses, _useDialogToSelectInstances, DEFAULT_DIALOG_TITLE_FOR_SELECTING_CLASSES, DEFAULT_DIALOG_TITLE_FOR_SELECTING_INSTANCES, DIALOG_TITLE_FOR_SELECTING_CLASSES, DIALOG_TITLE_FOR_SELECTING_INSTANCES, IN_PLACE_EDITING, USE_DIALOG_TO_SELECT_CLASSES, USE_DIALOG_TO_SELECT_INSTANCES`

Fields inherited from class edu.stanford.smi.protegex.util.ButtonRelatedWidgetState
`_addInstanceButtonTooltip, _addInstanceDialogTitle, _createInstanceButtonTooltip, _createInstanceDialogTitle, _deleteInstanceButtonTooltip, _displayAddInstanceButton, _displayCreateInstanceButton, _displayDeleteInstanceButton, _displayMoveInstanceButtons, _displayPrototypeButton, _displayRemoveInstanceButton, _displayViewInstanceButton, _moveInstanceButtonsTooltip, _prototypeButtonTooltip, _prototypeDepth, _removeInstanceButtonTooltip, _viewInstanceButtonTooltip, ADD_INSTANCE_BUTTON_TOOLTIP, ADD_INSTANCE_BUTTON_TOOLTIP_DEFAULT, ADD_INSTANCE_DIALOG_TITLE, ADD_INSTANCE_DIALOG_TITLE_DEFAULT, CREATE_INSTANCE_BUTTON_TOOLTIP, CREATE_INSTANCE_BUTTON_TOOLTIP_DEFAULT, CREATE_INSTANCE_DIALOG_TITLE, CREATE_INSTANCE_DIALOG_TITLE_DEFAULT, DELETE_INSTANCE_BUTTON_TOOLTIP, DELETE_INSTANCE_BUTTON_TOOLTIP_DEFAULT, DISPLAY_ADD_INSTANCE_BUTTON, DISPLAY_CREATE_INSTANCE_BUTTON, DISPLAY_DELETE_INSTANCE_BUTTON, DISPLAY_MOVE_INSTANCE_BUTTONS, DISPLAY_PROTOTYPE_BUTTON, DISPLAY_REMOVE_INSTANCE_BUTTON, DISPLAY_VIEW_INSTANCE_BUTTON, MOVE_INSTANCE_BUTTONS_TOOLTIP, MOVE_INSTANCE_BUTTONS_TOOLTIP_DEFAULT, PROTOTYPE_BUTTON_TOOLTIP, PROTOTYPE_BUTTON_TOOLTIP_DEFAULT, PROTOTYPE_DEPTH, REMOVE_INSTANCE_BUTTON_TOOLTIP, REMOVE_INSTANCE_BUTTON_TOOLTIP_DEFAULT, VIEW_INSTANCE_BUTTON_TOOLTIP, VIEW_INSTANCE_BUTTON_TOOLTIP_DEFAULT`

Fields inherited from class edu.stanford.smi.protegex.util.AbstractWidgetState
`_properties`

Constructor Summary
`InstanceTableWidgetState(PropertyList properties, Collection allowedClses, KnowledgeBase kb)`

Method Summary
`void` | `addVisibleSlotDescription(VisibleSlotDescription visibleSlotDescription)`
`void` | `dispose()`
`VisibleSlotDescription` | `getDescriptionForIndex(int index)`
`VisibleSlotDescription` | `getDescriptionForSlot(Slot slot)`
`Collection` | `getRemainingSlots()`
`Collection` | `getSlotVisibilityDescriptions()`
`int` | `getTotalNumberOfVisibleSlots()`
`Collection` | `getVisibleSlots()`
`boolean` | `isAutoSelectInsertions()`
`boolean` | `isCreateFormForNewInstances()`
`boolean` | `isHighlightSelectedRow()`
`void` | `makeSlotVisible(Slot slot)`
`void` | `moveSlotToIndex(int fromIndex, int toIndex)`
`void` | `removeVisibleSlotDescriptionAtIndex(int index)`
`void` | `restore()`
`void` | `save()`
`void` | `setAutoSelectInsertions(boolean autoSelectInsertions)`
`void` | `setAutoSelectInsertions(Boolean autoSelectInsertions)`
`void` | `setCreateFormForNewInstances(boolean createFormForNewInstances)`
`void` | `setCreateFormForNewInstances(Boolean createFormForNewInstances)`
`void` | `setHighlightSelectedRow(boolean highlightSelectedRow)`
`void` | `setHighlightSelectedRow(Boolean highlightSelectedRow)`

Methods inherited from class edu.stanford.smi.protegex.widget.abstracttable.AbstractTableWidgetState
`getDialogTitleForSelectingClasses, getDialogTitleForSelectingInstances, isEditInPlace, isUseDialogToSelectClasses, isUseDialogToSelectInstances, setDialogTitleForSelectingClasses, setDialogTitleForSelectingInstances, setDisplayAddInstanceButton, setDisplayAddInstanceButton, setDisplayCreateInstanceButton, setDisplayCreateInstanceButton, setDisplayRemoveInstanceButton, setDisplayRemoveInstanceButton, setDisplayViewInstanceButton, setDisplayViewInstanceButton, setEditInPlace, setEditInPlace, setUseDialogToSelectClasses, setUseDialogToSelectClasses, setUseDialogToSelectInstances, setUseDialogToSelectInstances`

Methods inherited from class edu.stanford.smi.protegex.util.ButtonRelatedWidgetState
`getAddInstanceButtonTooltip, getAddInstanceDialogTitle, getCreateInstanceButtonTooltip, getCreateInstanceDialogTitle, getDeleteInstanceButtonTooltip, getMoveInstanceDownTooltip, getMoveInstanceTooltip, getMoveInstanceUpTooltip, getPrototypeButtonTooltip, getPrototypeDepth, getRemoveInstanceButtonTooltip, getViewInstanceButtonTooltip, isDisplayAddInstanceButton, isDisplayCreateInstanceButton, isDisplayDeleteInstanceButton, isDisplayMoveInstanceButtons, isDisplayPrototypeButton, isDisplayRemoveInstanceButton, isDisplayViewInstanceButton, setAddInstanceButtonTooltip, setAddInstanceDialogTitle, setCreateInstanceButtonTooltip, setCreateInstanceDialogTitle, setDeleteInstanceButtonTooltip, setDisplayDeleteInstanceButton, setDisplayDeleteInstanceButton, setDisplayMoveInstanceButtons, setDisplayPrototypeButton, setDisplayPrototypeButton, setMoveInstanceButtonsTooltip, setPrototypeButtonTooltip, setPrototypeDepth, setPrototypeDepth, setRemoveInstanceButtonTooltip, setViewInstanceButtonTooltip`

Methods inherited from class edu.stanford.smi.protegex.util.AbstractWidgetState
`broadcast, isCustomized, readBoolean, readInt, readString`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceTableWidgetState

    public InstanceTableWidgetState(PropertyList properties,
                                    Collection allowedClses,
                                    KnowledgeBase kb)

Method Detail

### addVisibleSlotDescription

    public void addVisibleSlotDescription(VisibleSlotDescription visibleSlotDescription)

### dispose

    public void dispose()

  Specified by:
    `dispose` in class `AbstractTableWidgetState`

### getDescriptionForIndex

    public VisibleSlotDescription getDescriptionForIndex(int index)

### getDescriptionForSlot

    public VisibleSlotDescription getDescriptionForSlot(Slot slot)

### getRemainingSlots

    public Collection getRemainingSlots()

### getSlotVisibilityDescriptions

    public Collection getSlotVisibilityDescriptions()

### getTotalNumberOfVisibleSlots

    public int getTotalNumberOfVisibleSlots()

### getVisibleSlots

    public Collection getVisibleSlots()

### isAutoSelectInsertions

    public boolean isAutoSelectInsertions()

### isCreateFormForNewInstances

    public boolean isCreateFormForNewInstances()

### isHighlightSelectedRow

    public boolean isHighlightSelectedRow()

### makeSlotVisible

    public void makeSlotVisible(Slot slot)

### moveSlotToIndex

    public void moveSlotToIndex(int fromIndex,
                                int toIndex)

### removeVisibleSlotDescriptionAtIndex

    public void removeVisibleSlotDescriptionAtIndex(int index)

### restore

    public void restore()

  Overrides:
    `restore` in class `AbstractTableWidgetState`

### save

    public void save()

  Overrides:
    `save` in class `AbstractTableWidgetState`

### setAutoSelectInsertions

    public void setAutoSelectInsertions(Boolean autoSelectInsertions)

### setAutoSelectInsertions

    public void setAutoSelectInsertions(boolean autoSelectInsertions)

### setCreateFormForNewInstances

    public void setCreateFormForNewInstances(Boolean createFormForNewInstances)

### setCreateFormForNewInstances

    public void setCreateFormForNewInstances(boolean createFormForNewInstances)

### setHighlightSelectedRow

    public void setHighlightSelectedRow(Boolean highlightSelectedRow)

### setHighlightSelectedRow

    public void setHighlightSelectedRow(boolean highlightSelectedRow)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request